Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.jdbc.pool
Class Statement

    java.lang.Object
      |
      +--weblogic.jdbcbase.pool.Statement
            |
            +--weblogic.jdbc.pool.Statement

Direct Known Subclasses:
  PreparedStatement

public class Statement
extends weblogic.jdbcbase.pool.Statement
implements java.sql.Statement

Author:
  Copyright (c) 1999 by BEA Systems, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.jdbcbase.pool.Statement
`cc, conn, key, stmt`

Constructor Summary
`Statement()`
`Statement(java.sql.Statement jstmt, weblogic.jdbc.common.internal.ConnectionEnv aCc, java.lang.String aKey, weblogic.jdbcbase.pool.Connection aConn)`

Method Summary
`java.sql.ResultSet` | `executeQuery(java.lang.String sql)`
`int` | `executeUpdate(java.lang.String sql)`
`java.sql.ResultSet` | `getResultSet()`

Methods inherited from class weblogic.jdbcbase.pool.Statement
`cancel, clearParameters, clearWarnings, close, execute, execute, executeUpdate, executeWriteText, executeWriteText, executeWriteText, executeWriteText, getBigDecimal, getBoolean, getByte, getBytes, getDate, getDouble, getFloat, getInt, getLong, getMaxFieldSize, getMaxRows, getMoreResults, getObject, getQueryTimeout, getShort, getString, getTime, getTimestamp, getUpdateCount, getWarnings, registerOutParameter, registerOutParameter, setAsciiStream, setBigDecimal, setBinaryStream, setBoolean, setByte, setBytes, setCursorName, setDate, setDouble, setEscapeProcessing, setFloat, setInt, setLong, setMaxFieldSize, setMaxRows, setNull, setObject, setObject, setObject, setQueryTimeout, setShort, setString, setTime, setTimestamp, setUnicodeStream, wasNull`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Statement

    public Statement()

### Statement

    public Statement(java.sql.Statement jstmt,
                     weblogic.jdbc.common.internal.ConnectionEnv aCc,
                     java.lang.String aKey,
                     weblogic.jdbcbase.pool.Connection aConn)

  Parameters:
    `jstmt` - java.sql.Statement
    `aCc` - ConnectionEnv
    `aKey` - String
    `aConn` - weblogic.jdbcbase.pool.Connection

Method Detail

### executeQuery

    public java.sql.ResultSet executeQuery(java.lang.String sql)
                                    throws java.sql.SQLException

  Specified by:
    executeQuery in interface java.sql.Statement

  Parameters:
    `sql` - String
  Returns:
    java.sql.ResultSet
  Throws:
    java.sql.SQLException - if there is an error

### executeUpdate

    public int executeUpdate(java.lang.String sql)
                      throws java.sql.SQLException

  Specified by:
    executeUpdate in interface java.sql.Statement

  Parameters:
    `sql` - String
  Returns:
    int
  Throws:
    java.sql.SQLException - if there is an error

### getResultSet

    public java.sql.ResultSet getResultSet()
                                    throws java.sql.SQLException

  Specified by:
    getResultSet in interface java.sql.Statement

  Returns:
    java.sql.ResultSet
  Throws:
    java.sql.SQLException - if there is an error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD